Subject: Re: bug#1939: suggestion: adding read-line function to elisp

From: Juanma Barranquero <[email-masked]>
Date: Sun, 18 Jan 2009 06:48:10 +0100

On Sat, Jan 17, 2009 at 19:13, xah lee <[email-masked]> wrote:

> Getting lines as list is a very frequent need.
>
> elisp is very suitable for tasks of text processing. So, having such a
> convenience function seems appropriate.

Getting lines as list is much less frequent in elisp. The reason is
that is much more flexible (and faster) to manipulate text in a buffer
than as a collection of strings.

So in most cases, using `with-temp-buffer' (as in your read-lines
function) is the Right Thing To Do.

    Juanma